"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _serializeKey = _interopRequireDefault(require("../../public-helpers/serializeKey"));

var _without = _interopRequireDefault(require("../../utils/list/without"));

var _isObject = _interopRequireDefault(require("../../utils/object/isObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getListKey(params) {
  var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      _ref$urlOnlyParams = _ref.urlOnlyParams,
      urlOnlyParams = _ref$urlOnlyParams === void 0 ? [] : _ref$urlOnlyParams;

  var keyParams = function () {
    if ((0, _isObject["default"])(params)) {
      return (0, _without["default"])(params, urlOnlyParams);
    } else {
      return params;
    }
  }();

  return (0, _serializeKey["default"])(keyParams);
}

var _default = getListKey;
exports["default"] = _default;