"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _arrayFrom = _interopRequireDefault(require("../../utils/array/arrayFrom"));

var _isEmpty = _interopRequireDefault(require("../../utils/list/isEmpty"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function normalizeErrors(errorOrErrors, errors) {
  if (!(0, _isEmpty["default"])(errorOrErrors)) {
    var _errors = (0, _arrayFrom["default"])(errorOrErrors);

    return {
      error: _errors[0],
      errors: _errors
    };
  } else if (errors) {
    return {
      error: errors[0],
      errors: errors
    };
  } else {
    return {};
  }
}

var _default = normalizeErrors;
exports["default"] = _default;