"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _editNewItem = _interopRequireDefault(require("./editNewItem"));

var _editItem = _interopRequireDefault(require("./editItem"));

var _isNew = _interopRequireDefault(require("../../public-helpers/isNew"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function reducer(resources, action) {
  var currentItem = resources.items[action.key || resources.newItemKey];

  if ((0, _isNew["default"])(currentItem)) {
    return _editNewItem["default"].reducer(resources, action);
  }

  return _editItem["default"].reducer(resources, action);
}

var _default = {
  reducer: reducer,
  actionCreator: _editItem["default"].actionCreator
};
exports["default"] = _default;