"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Statuses = require("../constants/Statuses");

var _isUndefined = _interopRequireDefault(require("../utils/isUndefined"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function canFallbackToOldValues(_ref) {
  var _ref$status = _ref.status,
      syncedAt = _ref$status.syncedAt,
      requestedAt = _ref$status.requestedAt,
      type = _ref$status.type;
  return !(0, _isUndefined["default"])(syncedAt) && requestedAt > syncedAt && type === _Statuses.ERROR;
}

var _default = canFallbackToOldValues;
exports["default"] = _default;