"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Statuses = require("../constants/Statuses");

var _isCurrentWithPreviousState = _interopRequireDefault(require("./isCurrentWithPreviousState"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function isFinished(itemOrList, expectedPreviousState) {
  return (0, _isCurrentWithPreviousState["default"])(itemOrList, [_Statuses.SUCCESS, _Statuses.ERROR], expectedPreviousState);
}

var _default = isFinished;
exports["default"] = _default;