"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _contains = _interopRequireDefault(require("../utils/list/contains"));

var _arrayFrom = _interopRequireDefault(require("../utils/array/arrayFrom"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function isPreviousStatus(itemOrList, expectedStatuses) {
  if (!itemOrList.status.previousStatus) {
    return false;
  }

  var type = itemOrList.status.previousStatus.type;
  return (0, _contains["default"])((0, _arrayFrom["default"])(expectedStatuses), type);
}

var _default = isPreviousStatus;
exports["default"] = _default;