"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isObject = _interopRequireDefault(require("../utils/object/isObject"));

var _EmptyKey = _interopRequireDefault(require("../constants/EmptyKey"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function serializeKey(target) {
  if ((0, _isObject["default"])(target)) {
    var sortedKeys = Object.keys(target).sort();
    return sortedKeys.map(function (key) {
      return "".concat(key, "=").concat(target[key]);
    }).join('.');
  } else {
    return target || _EmptyKey["default"];
  }
}

var _default = serializeKey;
exports["default"] = _default;