"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _configuration = require("../configuration");

var _arrayFrom = _interopRequireDefault(require("../utils/array/arrayFrom"));

var _getListKey = _interopRequireDefault(require("../action-creators/helpers/getListKey"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getListKeysArray(_ref, resources, listParams) {
  var urlOnlyParams = _ref.urlOnlyParams;

  if (listParams === (0, _configuration.getConfiguration)().listWildcard) {
    return Object.keys(resources.lists);
  } else {
    return (0, _arrayFrom["default"])(listParams).map(function (_listParams) {
      return (0, _getListKey["default"])(_listParams, {
        urlOnlyParams: urlOnlyParams
      });
    });
  }
}

var _default = getListKeysArray;
exports["default"] = _default;