"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _getListKey = _interopRequireDefault(require("../action-creators/helpers/getListKey"));

var _wrapInObject = _interopRequireDefault(require("../utils/object/wrapInObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getListStatus(options, resources, params) {
  var keyBy = options.keyBy,
      urlOnlyParams = options.urlOnlyParams;
  var key = (0, _getListKey["default"])((0, _wrapInObject["default"])(params, keyBy), {
    urlOnlyParams: urlOnlyParams
  });
  var list = resources.lists[key];
  return list && list.status;
}

var _default = getListStatus;
exports["default"] = _default;