"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _getListKey = _interopRequireDefault(require("../action-creators/helpers/getListKey"));

var _wrapInObject = _interopRequireDefault(require("../utils/object/wrapInObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function replaceListPositions(options, resources, params) {
  var positions = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : [];
  var keyBy = options.keyBy,
      urlOnlyParams = options.urlOnlyParams;
  var key = (0, _getListKey["default"])((0, _wrapInObject["default"])(params, keyBy), {
    urlOnlyParams: urlOnlyParams
  });
  var list = resources.lists[key];

  if (list) {
    return _objectSpread(_objectSpread({}, resources), {}, {
      lists: _objectSpread(_objectSpread({}, resources.lists), {}, _defineProperty({}, key, _objectSpread(_objectSpread({}, list), {}, {
        positions: positions
      })))
    });
  }

  return resources;
}

var _default = replaceListPositions;
exports["default"] = _default;