"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isEmpty = _interopRequireDefault(require("../../utils/list/isEmpty"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function applyTransforms(transforms, options, actionCreatorOptions, item) {
  if ((0, _isEmpty["default"])(transforms)) {
    return item;
  } else {
    return transforms.reduce(function (memo, transform) {
      return transform(options, actionCreatorOptions, memo);
    }, item);
  }
}

var _default = applyTransforms;
exports["default"] = _default;