"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _without = _interopRequireDefault(require("../../utils/list/without"));

var _arrayFrom = _interopRequireDefault(require("../../utils/array/arrayFrom"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function removeItemsFromResources(resources, keys) {
  var _keys = (0, _arrayFrom["default"])(keys);

  var lists = Object.keys(resources.lists).reduce(function (memo, id) {
    var list = resources.lists[id];
    var positions = list.positions;
    memo[id] = _objectSpread(_objectSpread({}, list), {}, {
      positions: (0, _without["default"])(positions, _keys, {
        stringifyFirst: true
      })
    });
    return memo;
  }, {});
  return _objectSpread(_objectSpread({}, resources), {}, {
    items: (0, _without["default"])(resources.items, _keys),
    lists: lists,
    selectionMap: (0, _without["default"])(resources.selectionMap, _keys),
    newItemKey: resources.newItemKey === keys ? null : resources.newItemKey
  });
}

var _default = removeItemsFromResources;
exports["default"] = _default;