"use strict";

require("source-map-support/register");

var _nodeFetch = require("node-fetch");

var _RequestManager = require("../../utils/RequestManager");

var _ResourceRegistry = _interopRequireDefault(require("../../utils/ResourceRegistry"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

global.Response = _nodeFetch.Response;
beforeAll(function () {
  return new _nodeFetch.Response().blob().then(function (blob) {
    global.Blob = blob.constructor;
  });
});
beforeEach(function () {
  (0, _RequestManager.clearRegisteredRequests)();

  _ResourceRegistry["default"].getRegistry().clear();
});