"use strict";

var _jasmine = _interopRequireDefault(require("jasmine"));

var _jasmineConsoleReporter = _interopRequireDefault(require("jasmine-console-reporter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var jasmine = new _jasmine["default"]();
jasmine.loadConfig({
  'spec_dir': 'spec',
  'spec_files': ['../cjs/tests/**/*[sS]pec.js'],
  'helpers': ['../cjs/tests/helpers/**/*.js'],
  'stopSpecOnExpectationFailure': false,
  'random': false
});
jasmine.jasmine.DEFAULT_TIMEOUT_INTERVAL = 15000;
var reporter = new _jasmineConsoleReporter["default"]({
  colors: 1,
  cleanStack: 0,
  verbosity: 1,
  listStyle: 'indent',
  timeUnit: 'ms',
  timeThreshold: {
    ok: 500,
    warn: 1000,
    ouch: 3000
  },
  activity: true,
  emoji: true
});
Error.stackTraceLimit = Infinity;
jasmine.env.clearReporters();
jasmine.addReporter(reporter);
jasmine.execute();