"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isObject = _interopRequireDefault(require("../object/isObject"));

var _hasKey = _interopRequireDefault(require("../object/hasKey"));

var _isString = _interopRequireDefault(require("../string/isString"));

var _isUndefined = _interopRequireDefault(require("../isUndefined"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function contains(list, item) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  if (Array.isArray(list) || (0, _isString["default"])(list)) {
    if (options.stringifyFirst) {
      return !(0, _isUndefined["default"])(list.find(function (listItem) {
        return listItem.toString() === item.toString();
      }));
    } else {
      return list.indexOf(item) !== -1;
    }
  } else if ((0, _isObject["default"])(list)) {
    return (0, _hasKey["default"])(list, item);
  } else {
    if (options.stringifyFirst) {
      return list.toString() === item.toString();
    } else {
      return list === item;
    }
  }
}

var _default = contains;
exports["default"] = _default;