"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isObject = _interopRequireDefault(require("./isObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function objectFrom(target) {
  var value = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;

  if (Array.isArray(target)) {
    return target.reduce(function (memo, element) {
      memo[element] = value;
      return memo;
    }, {});
  } else if ((0, _isObject["default"])(target)) {
    return target;
  } else {
    return _defineProperty({}, target, value);
  }
}

var _default = objectFrom;
exports["default"] = _default;