"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _hasKey = _interopRequireDefault(require("./hasKey"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function undig(target, keys, value) {
  var lastKeyPosition = keys.length - 1;
  var _target = target;

  for (var index = 0; index < lastKeyPosition; index++) {
    var nextKey = keys[index];

    if (!(0, _hasKey["default"])(_target, nextKey)) {
      _target[nextKey] = {};
    }

    _target = _target[nextKey];
  }

  var lastKey = keys[lastKeyPosition];
  _target[lastKey] = value;
  return target;
}

var _default = undig;
exports["default"] = _default;