"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _hasKey = _interopRequireDefault(require("./hasKey"));

var _dig = _interopRequireDefault(require("./dig"));

var _isEmpty = _interopRequireDefault(require("../list/isEmpty"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function undigDelete(target, keys) {
  var lastKeyPosition = keys.length - 1;
  var lastKeyParent = (0, _dig["default"])(target, keys.slice(0, lastKeyPosition));
  var lastKey = keys[lastKeyPosition];

  if ((0, _hasKey["default"])(lastKeyParent, lastKey)) {
    Reflect.deleteProperty(lastKeyParent, lastKey);
  }

  var penultimateKeyPosition = keys.length - 2;

  for (var index = penultimateKeyPosition; index > 0; index--) {
    var parentValue = (0, _dig["default"])(target, keys.slice(0, index));

    if ((0, _isEmpty["default"])(parentValue)) {
      var grandParentValue = (0, _dig["default"])(target, keys.slice(0, index - 1));
      Reflect.deleteProperty(grandParentValue, keys[index]);
    }
  }
}

var _default = undigDelete;
exports["default"] = _default;