"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  RESOURCE: true,
  RESOURCES: true,
  LIST: true,
  ITEM: true,
  COMPLETE: true,
  PREVIEW: true,
  NEW: true,
  EDITING: true,
  FETCHING: true,
  CREATING: true,
  UPDATING: true,
  DESTROYING: true,
  DESTROY_ERROR: true,
  SYNCING: true,
  SUCCESS: true,
  PROGRESS: true,
  ERROR: true,
  CLIENT_ERROR: true,
  UNSPECIFIED_KEY: true,
  resources: true,
  resource: true
};
Object.defineProperty(exports, "RESOURCE", {
  enumerable: true,
  get: function get() {
    return _DataStructures.RESOURCE;
  }
});
Object.defineProperty(exports, "RESOURCES", {
  enumerable: true,
  get: function get() {
    return _DataStructures.RESOURCES;
  }
});
Object.defineProperty(exports, "LIST", {
  enumerable: true,
  get: function get() {
    return _DataStructures.LIST;
  }
});
Object.defineProperty(exports, "ITEM", {
  enumerable: true,
  get: function get() {
    return _DataStructures.ITEM;
  }
});
Object.defineProperty(exports, "COMPLETE", {
  enumerable: true,
  get: function get() {
    return _MetadataTypes.COMPLETE;
  }
});
Object.defineProperty(exports, "PREVIEW", {
  enumerable: true,
  get: function get() {
    return _MetadataTypes.PREVIEW;
  }
});
Object.defineProperty(exports, "NEW", {
  enumerable: true,
  get: function get() {
    return _Statuses.NEW;
  }
});
Object.defineProperty(exports, "EDITING", {
  enumerable: true,
  get: function get() {
    return _Statuses.EDITING;
  }
});
Object.defineProperty(exports, "FETCHING", {
  enumerable: true,
  get: function get() {
    return _Statuses.FETCHING;
  }
});
Object.defineProperty(exports, "CREATING", {
  enumerable: true,
  get: function get() {
    return _Statuses.CREATING;
  }
});
Object.defineProperty(exports, "UPDATING", {
  enumerable: true,
  get: function get() {
    return _Statuses.UPDATING;
  }
});
Object.defineProperty(exports, "DESTROYING", {
  enumerable: true,
  get: function get() {
    return _Statuses.DESTROYING;
  }
});
Object.defineProperty(exports, "DESTROY_ERROR", {
  enumerable: true,
  get: function get() {
    return _Statuses.DESTROY_ERROR;
  }
});
Object.defineProperty(exports, "SYNCING", {
  enumerable: true,
  get: function get() {
    return _Statuses.SYNCING;
  }
});
Object.defineProperty(exports, "SUCCESS", {
  enumerable: true,
  get: function get() {
    return _Statuses.SUCCESS;
  }
});
Object.defineProperty(exports, "PROGRESS", {
  enumerable: true,
  get: function get() {
    return _Statuses.PROGRESS;
  }
});
Object.defineProperty(exports, "ERROR", {
  enumerable: true,
  get: function get() {
    return _Statuses.ERROR;
  }
});
Object.defineProperty(exports, "CLIENT_ERROR", {
  enumerable: true,
  get: function get() {
    return _NetworkStatuses.CLIENT_ERROR;
  }
});
Object.defineProperty(exports, "UNSPECIFIED_KEY", {
  enumerable: true,
  get: function get() {
    return _EmptyKey["default"];
  }
});
Object.defineProperty(exports, "resources", {
  enumerable: true,
  get: function get() {
    return _resources["default"];
  }
});
Object.defineProperty(exports, "resource", {
  enumerable: true,
  get: function get() {
    return _resource["default"];
  }
});

var _index = require("./public-helpers/index.js");

Object.keys(_index).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _index[key];
    }
  });
});

var _DataStructures = require("./constants/DataStructures");

var _MetadataTypes = require("./constants/MetadataTypes");

var _Statuses = require("./constants/Statuses");

var _NetworkStatuses = require("./constants/NetworkStatuses");

var _EmptyKey = _interopRequireDefault(require("./constants/EmptyKey"));

var _resources = _interopRequireDefault(require("./resources"));

var _resource = _interopRequireDefault(require("./resource"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }