"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var InitialStateBuilder = function () {
  function InitialStateBuilder(options) {
    _classCallCheck(this, InitialStateBuilder);

    this.options = options;
    this.status = {};
    this.metadata = {};
  }

  _createClass(InitialStateBuilder, [{
    key: "setStatusType",
    value: function setStatusType(statusType) {
      this.status.type = statusType;
      return this;
    }
  }, {
    key: "setSyncedAt",
    value: function setSyncedAt(date) {
      this.status.syncedAt = date;
      return this;
    }
  }, {
    key: "setMetadata",
    value: function setMetadata(metadata) {
      this.metadata = metadata;
      return this;
    }
  }]);

  return InitialStateBuilder;
}();

var _default = InitialStateBuilder;
exports["default"] = _default;