"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _Statuses = require("../constants/Statuses");

var _contains = _interopRequireDefault(require("../utils/list/contains"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function isSaving(_ref) {
  var type = _ref.status.type;
  return Boolean(type) && (0, _contains["default"])([_Statuses.CREATING, _Statuses.UPDATING], type);
}

var _default = isSaving;
exports["default"] = _default;