"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _getItemKey = _interopRequireDefault(require("../action-creators/helpers/getItemKey"));

var _wrapInObject = _interopRequireDefault(require("../utils/object/wrapInObject"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function getItemStatus(options, resources, params) {
  var keyBy = options.keyBy,
      singular = options.singular;
  var key = (0, _getItemKey["default"])((0, _wrapInObject["default"])(params, keyBy), {
    keyBy: keyBy,
    singular: singular
  });
  var item = resources.items[key];
  return item && item.status;
}

var _default = getItemStatus;
exports["default"] = _default;