"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _keysExplicitlyReferencedByListOperations = _interopRequireDefault(require("./keysExplicitlyReferencedByListOperations"));

var _configuration = require("../../configuration");

var _contains = _interopRequireDefault(require("../../utils/list/contains"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function listKeysForItemKeySubstitution(listOperations, lists) {
  var keysExplicitlyReferenced = (0, _keysExplicitlyReferencedByListOperations["default"])(listOperations);

  if ((0, _contains["default"])(keysExplicitlyReferenced, (0, _configuration.getConfiguration)().listWildcard)) {
    return Object.keys(lists);
  }

  return keysExplicitlyReferenced;
}

var _default = listKeysForItemKeySubstitution;
exports["default"] = _default;