"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isUndefined = _interopRequireDefault(require("./isUndefined"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function extractVariableArguments(argumentNames, argumentsList) {
  var offset = function () {
    if ((0, _isUndefined["default"])(argumentsList[argumentsList.length - 1])) {
      return 1;
    } else {
      return 0;
    }
  }();

  var argumentsMap = {};
  var undefinedArguments = argumentNames.slice(0, offset);
  undefinedArguments.forEach(function (argumentName) {
    argumentsMap[argumentName] = undefined;
  });
  return argumentNames.slice(offset).reduce(function (memo, argumentName, index) {
    memo[argumentName] = argumentsList[index];
    return memo;
  }, {});
}

var _default = extractVariableArguments;
exports["default"] = _default;