"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function camelCase(string) {
  return string.replace(/([A-Z][A-Z]+)/g, function (arg1, match) {
    return match.slice(0, 1) + match.slice(1).toLowerCase();
  }).replace(/-|_([A-z])/g, function (arg1, match) {
    return match.toUpperCase();
  }).replace(/-|_/g, '').replace(/^(.)/, function (arg1, match) {
    return match.toLowerCase();
  });
}

var _default = camelCase;
exports["default"] = _default;